From a9fc949082d08f014486c16b67c64baa5efbe9d0 Mon Sep 17 00:00:00 2001
From: Asim R P <apraveen@pivotal.io>
Date: Wed, 21 Aug 2019 18:37:19 +0530
Subject: [PATCH 4/5] Run tests with faults if faultinjector was compiled in

The isolation installcheck target is modified to install faultinjector
contrib module and run the tests that inject faults, in addition to
tests in the regular schedule.

Per review feedback from Taylor Vesely.
---
 src/test/isolation/Makefile | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/test/isolation/Makefile b/src/test/isolation/Makefile
index dc22e5ca9d..647c18c6de 100644
--- a/src/test/isolation/Makefile
+++ b/src/test/isolation/Makefile
@@ -49,9 +49,19 @@ clean distclean:
 maintainer-clean: distclean
 	rm -f specparse.c specscanner.c
 
+ifneq (,$(findstring FAULT_INJECTOR, $(CPPFLAGS)))
+installcheck: all installcheck-faultinjector
+else
 installcheck: all
+endif
 	$(pg_isolation_regress_installcheck) --schedule=$(srcdir)/isolation_schedule
 
+install-faultinjector:
+	$(MAKE) -C $(top_builddir)/contrib/faultinjector install
+
+installcheck-faultinjector: install-faultinjector
+	$(pg_isolation_regress_installcheck) --schedule=$(srcdir)/faultinjector_schedule
+
 check: all
 	$(pg_isolation_regress_check) --schedule=$(srcdir)/isolation_schedule
 
-- 
2.17.2 (Apple Git-113)

